# Uses of Class
org.apache.lucene.util.mutable.MutableValue

Packages that use MutableValue
Package
Description
org.apache.lucene.util.mutable
Comparable object wrappers

- ## Uses of MutableValue in org.apache.lucene.util.mutable

  Subclasses of MutableValue in org.apache.lucene.util.mutable
  Modifier and Type
  Class
  Description
  `class`
  `MutableValueBool`
  `MutableValue` implementation of type `boolean`.
  `class`
  `MutableValueDate`
  `MutableValue` implementation of type `Date`.
  `class`
  `MutableValueDouble`
  `MutableValue` implementation of type `double`.
  `class`
  `MutableValueFloat`
  `MutableValue` implementation of type `float`.
  `class`
  `MutableValueInt`
  `MutableValue` implementation of type `int`.
  `class`
  `MutableValueLong`
  `MutableValue` implementation of type `long`.
  `class`
  `MutableValueStr`
  `MutableValue` implementation of type `String`.
  Methods in org.apache.lucene.util.mutable that return MutableValue
  Modifier and Type
  Method
  Description
  `abstract MutableValue`
  MutableValue.`duplicate()`
  `MutableValue`
  MutableValueBool.`duplicate()`
  `MutableValue`
  MutableValueDate.`duplicate()`
  `MutableValue`
  MutableValueDouble.`duplicate()`
  `MutableValue`
  MutableValueFloat.`duplicate()`
  `MutableValue`
  MutableValueInt.`duplicate()`
  `MutableValue`
  MutableValueLong.`duplicate()`
  `MutableValue`
  MutableValueStr.`duplicate()`
  Methods in org.apache.lucene.util.mutable with parameters of type MutableValue
  Modifier and Type
  Method
  Description
  `int`
  MutableValue.`compareTo(MutableValue other)`
  `abstract void`
  MutableValue.`copy(MutableValue source)`
  `void`
  MutableValueBool.`copy(MutableValue source)`
  `void`
  MutableValueDouble.`copy(MutableValue source)`
  `void`
  MutableValueFloat.`copy(MutableValue source)`
  `void`
  MutableValueInt.`copy(MutableValue source)`
  `void`
  MutableValueLong.`copy(MutableValue source)`
  `void`
  MutableValueStr.`copy(MutableValue source)`